#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	caja
Version		:	1.28.0
Release		:	17.2.0.rel%{?dist}
Summary		:	File manager for the MATE desktop
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	dbus-glib-devel
BuildRequires	:	desktop-file-utils
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	libexif
BuildRequires	:	libnotify
BuildRequires	:	libxml2-devel
BuildRequires	:	make
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	pango
BuildRequires	:	xorg-libICE
BuildRequires	:	xorg-libSM

Requires	:	dejavu-fonts

Requires(post)	:	%{_bindir}/update-mime-database
Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a fork of Nautilus.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}*
%{_includedir}/%{name}/lib%{name}-extension/%{name}-*.h
%{_libdir}/lib%{name}-extension.{la,so*}
%{_libdir}/pkgconfig/lib%{name}-extension.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/mime/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/applications/mate-*.desktop
%{_datadir}/gtk-doc/html/lib%{name}-extension/*.{html,png}
%{_datadir}/gtk-doc/html/lib%{name}-extension/lib%{name}-extension.devhelp2
%{_datadir}/gtk-doc/html/lib%{name}-extension/style.css
%{_datadir}/%{name}/*.css
%{_datadir}/%{name}/%{name}-*.placeholder
%{_datadir}/%{name}/%{name}.about
%{_datadir}/%{name}/browser.xml
%{_datadir}/%{name}/patterns/*.{jpg,png}
%{_datadir}/%{name}/ui/%{name}-*.{ui,xml}
%{_datadir}/icons/hicolor/*/emblems/emblem-note.png
%{_datadir}/pixmaps/%{name}/*.{png,svg}
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/glib-2.0/schemas/org.mate.%{name}.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.media-handling.gschema.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/update-mime-database -n %{_datadir}/mime > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/update-mime-database -n %{_datadir}/mime > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-update-mimedb				\
	--disable-icon-update				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
